Page MenuHomePhabricator

Add Vue Filters to make the code clean and use them as necessary
Closed, ResolvedPublic3 Estimated Story Points

Description

There are some places where words look better if they are capitalized, IMO. I have pointed those out in this screencast, these are from the top of my head. https://www.useloom.com/share/828cc3598a384178b9397cfea027125a

Vue filter like capitalize, lower could be created so the view can be updated with a simple {{ string | capitalize }}.
And could also make the code cleaner in places where .toLowerCase() is used. After this task, the code would look like {{ string | lower }} which I think conveys the intention rather well in a general manner without being too technical about it.

Event Timeline

Amitjoki created this task.Apr 9 2018, 5:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 9 2018, 5:58 PM
Amitjoki updated the task description. (Show Details)Apr 9 2018, 6:01 PM
Amitjoki updated the task description. (Show Details)Apr 9 2018, 6:04 PM
mforns added a comment.Apr 9 2018, 6:05 PM

Sounds good @Amitjoki
please, go ahead!

Change 425541 had a related patch set uploaded (by Amitjoki; owner: Amitjoki):
[analytics/wikistats2@master] Add Vue Filters to make the code clean and use them as necessary for casing

https://gerrit.wikimedia.org/r/425541

Here's a quick preview of how the change affects the UI: https://www.useloom.com/share/e840f13d82f5478094fe656d8979a974

mforns edited projects, added Analytics-Kanban; removed Analytics.Apr 11 2018, 3:53 PM
mforns set the point value for this task to 3.
mforns moved this task from Next Up to In Progress on the Analytics-Kanban board.

Change 425541 abandoned by Amitjoki:
Add Vue Filters to make the code clean and use them as necessary for casing

Reason:
Messed this up by including two unrelated changes

https://gerrit.wikimedia.org/r/425541

Change 425845 had a related patch set uploaded (by Amitjoki; owner: Amitjoki):
[analytics/wikistats2@master] Add Vue Filters to make the code clean and use them as necessary for casing

https://gerrit.wikimedia.org/r/425845

Change 425845 merged by Mforns:
[analytics/wikistats2@master] Add Vue Filters to make the code clean and use them as necessary for casing

https://gerrit.wikimedia.org/r/425845

Nuria moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Apr 24 2018, 3:01 PM
Nuria closed this task as Resolved.May 8 2018, 10:48 PM